Skip to main content

BLOCK_LIST_CALLER


Supported Network

Network

Supporting

Ethereum Mainnet

Ethereum Testnet (sepolia)

Ethereum Testnet (holesky)

Base Mainnet

Base Testnet (sepolia)

Polygon Mainnet

Polygon Testnet (amoy)

Arbitrum Mainnet

Arbitrum Testnet (sepolia)

Optimism Mainnet

Optimism Testnet (sepolia)

Kaia Mainnet

Kaia Testnet (kairos)

Aptos Mainnet

Aptos Testnet



Webhook Creation Request Example

When setting the eventType value to BLOCK_LIST_CALLER, the available condition object fields are as follows.

Key

Type

Required

Description

Example Value

address

String

true

The target address to monitor for token transfer events

0x657fde0c1cb43c3ebbfa5bdcf9ab065fb89a62d5

blockListCallers

Array of String

true

A list of addresses from which you want to receive alerts when a token transfer occurs to the target address

[0x389aa657f2249d0225b337e338a84b01d0fb74eb]

Request Example

curl --location 'https://web3.nodit.io/v1/ethereum/mainnet/webhooks' \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: ••••••' \
--data '{
"eventType": "BLOCK_LIST_CALLER",
"description": "{WEBHOOK_DESCRIPTION}",
"notification": {
"webhookUrl": "{WEBHOOK_LISTENER_ENDPOINT}"
},
"isInstant": false,
"condition": {
"address": "0x657fde0c1cb43c3ebbfa5bdcf9ab065fb89a62d5",
"blockListCallers": ["0x389aa657f2249d0225b337e338a84b01d0fb74eb"]
}
}'

Response Example

Response fields may vary depending on the Event type that occurs.

📍 Type: ERC20

{
"subscriptionId": "4975",
"sequenceNumber": "2",
"description": "{WEBHOOK_DESCRIPTION}",
"protocol": "ethereum",
"network": "mainnet",
"subscriptionType": "WEBHOOK",
"notification": {
"webhookUrl": "{WEBHOOK_LISTENER_ENDPOINT}"
},
"signingKey": "{signingKey}",
"eventType": "BLOCK_LIST_CALLER",
"event": {
"targetAddress": "0x657fde0c1cb43c3ebbfa5bdcf9ab065fb89a62d5",
"blockListCaller": "0x389aa657f2249d0225b337e338a84b01d0fb74eb", // ⚠️ This field will be deprecated soon
"blockListCallers": [
"0x389aa657f2249d0225b337e338a84b01d0fb74eb",
"0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48"
],
"messages": [
{
"token_address": "0xdac17f958d2ee523a2206206994597c13d831ec7",
"from_address": "0x389aa657f2249d0225b337e338a84b01d0fb74eb",
"to_address": "0x657fde0c1cb43c3ebbfa5bdcf9ab065fb89a62d5",
"value": "375000000",
"transaction_hash": "0x1c64e4a1009c8110ac20ae082a40541f23cc1ea953e9cf17e8bb32f642b5f4ee",
"log_index": 214,
"block_number": 21492608,
"block_timestamp": 1735288199,
"type": "erc20"
}
]
},
"createdAt": "2024-12-27T08:31:59.466Z"
}

📍 Type: ERC721

{
"subscriptionId": "4975",
"sequenceNumber": "2",
"description": "{WEBHOOK_DESCRIPTION}",
"protocol": "ethereum",
"network": "mainnet",
"subscriptionType": "WEBHOOK",
"notification": {
"webhookUrl": "{WEBHOOK_LISTENER_ENDPOINT}"
},
"eventType": "BLOCK_LIST_CALLER",
"event": {
"targetAddress": "0x976db6a4415531af5c96be3013dbbccf7ec2a0fd",
"blockListCaller": "0xce4d5ffbb39a07ffc12f3a0800f08cd9909cd0ea", // ⚠️ This field will be deprecated soon
"blockListCallers": [
"0xce4d5ffbb39a07ffc12f3a0800f08cd9909cd0ea",
"0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48"
],
"messages": [
{
"block_number": 21492607,
"block_timestamp": 1735288187,
"from_address": "0xce4d5ffbb39a07ffc12f3a0800f08cd9909cd0ea",
"log_index": 341,
"to_address": "0x976db6a4415531af5c96be3013dbbccf7ec2a0fd",
"token_address": "0x6f36d6a10a04a81ade402a98a0840ffdf99b8579",
"token_id": "4674",
"transaction_hash": "0xa006045b54bf6f56d1fe7be3be77d6bec9ddc838199400b8497d7e5650cb65ef",
"type": "erc721"
}
]
},
"createdAt": "2024-12-27T08:31:28.707Z"
}

📍 Type: ERC1155

{
"subscriptionId": "4975",
"sequenceNumber": "2",
"description": "{WEBHOOK_DESCRIPTION}",
"protocol": "ethereum",
"network": "mainnet",
"subscriptionType": "WEBHOOK",
"notification": {
"webhookUrl": "{WEBHOOK_LISTENER_ENDPOINT}"
},
"signingKey": "{signingKey}",
"eventType": "BLOCK_LIST_CALLER",
"event": {
"targetAddress": "0x4a06f2320b17040001174331a4ef89c8214bbf43",
"blockListCaller": "0xc4dad120712a92117cc65d46514be8b49ed846a1", // ⚠️ This field will be deprecated soon
"blockListCallers": [
"0xc4dad120712a92117cc65d46514be8b49ed846a1",
"0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48"
],
"messages": [
{
"batch_index": 0,
"block_number": 21492633,
"block_timestamp": 1735288499,
"from_address": "0xc4dad120712a92117cc65d46514be8b49ed846a1",
"log_index": 302,
"operator": "0x1e0049783f008a0085193e00003d00cd54003c71",
"to_address": "0x4a06f2320b17040001174331a4ef89c8214bbf43",
"token_address": "0x10f62ca5f836a8ed4d80968500ef430fcd8813b0",
"token_id": "1",
"transaction_hash": "0x0c05e3d2a6eff38d250f6f6acbefcad6546d4fdc832b33e3d246cf27fce8d57e",
"value": "1",
"type": "erc1155"
}
]
},
"createdAt": "2024-12-27T08:36:39.616Z"
}